.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 2;
  pointer-events: none;

  &-inner {
    position: relative;
    display: flex;
    justify-content: flex-end;
    height: 100%;
    padding-top: 40px;
    @include respond-max('mobile') {
      padding-top: 20px;
    }
  }

  &-link {
    display: inline-flex;
    align-items: center;
    pointer-events: all;
    margin-right: 150px;

    .icon {
      width: 10px;
      height: 10px;
      margin-right: 10px;
    }
  }

  &-menu {
    span {
      font-family: 'CenturyGothic', sans-serif;
      text-transform: uppercase;
      margin-right: 20px;
      line-height: 24px;
      font-size: 16px;
      vertical-align: middle;
      @include respond-max('mobile') {
        margin-right: 16px;
        line-height: 20px;
        font-size: 14px;
      }
    }
  }

  .button {
    pointer-events: all;
  }

  &-logo {
    position: absolute;
    left: 0;
    top: 0;
    width: 253px;
    transform: rotate(-90deg) translateX(-50%) translateY(calc(-50% - 80px));
    z-index: 1;

    .logo_white {
      position: absolute;
      z-index: -1;
      top: 0;
      left: 0;
      transition: var(--theme-dark-transition);
    }

    @include respond-max('tablet') {
      width: 220px;
    }

    @include respond-max('mobile') {
      width: 180px;
      left: 25px;
      top: -10px;
    }
  }
}
